| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends
qx::service::QxConnect Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxConnect : define connection parameters used by QxService module of QxOrm library (this class is a singleton) More...

`#include <QxConnect.h>`

Inheritance diagram for qx::service::QxConnect:

List of all members.

## Public Types
enum | serialization_type { serialization_binary, serialization_xml, serialization_text, serialization_portable_binary, serialization_wide_binary, serialization_wide_xml, serialization_wide_text, serialization_polymorphic_binary, serialization_polymorphic_xml, serialization_polymorphic_text, serialization_qt, serialization_json }
## Public Member Functions
QString | getIp ()
long | getPort ()
serialization_type | getSerializationType ()
long | getThreadCount ()
int | getMaxWait ()
bool | getCompressData ()
bool | getEncryptData ()
quint64 | getEncryptKey ()
long | getKeepAlive ()
bool | getModeHTTP ()
qlonglong | getSessionTimeOut ()
bool | getSSLEnabled ()
QSslConfiguration | getSSLConfiguration ()
QList< QSslCertificate > | getSSLCACertificates ()
QSslCertificate | getSSLLocalCertificate ()
QSslKey | getSSLPrivateKey ()
QList< QSslError > | getSSLIgnoreErrors ()
QSsl::SslProtocol | getSSLProtocol ()
QString | getSSLPeerVerifyName ()
QSslSocket::PeerVerifyMode | getSSLPeerVerifyMode ()
int | getSSLPeerVerifyDepth ()
void | setIp (const QString &s)
void | setPort (long l)
void | setSerializationType (serialization_type e)
void | setThreadCount (long l)
void | setMaxWait (int i)
void | setCompressData (bool b)
void | setEncryptData (bool b, quint64 key=0)
void | setKeepAlive (long l)
void | setModeHTTP (bool b)
void | setSessionTimeOut (qlonglong l)
void | setSSLEnabled (bool b)
void | setSSLConfiguration (QSslConfiguration cfg)
void | setSSLCACertificates (QList< QSslCertificate > lst)
void | setSSLLocalCertificate (QSslCertificate cert)
void | setSSLPrivateKey (QSslKey key)
void | setSSLIgnoreErrors (QList< QSslError > lst)
void | setSSLProtocol (QSsl::SslProtocol e)
void | setSSLPeerVerifyName (const QString &s)
void | setSSLPeerVerifyMode (QSslSocket::PeerVerifyMode e)
void | setSSLPeerVerifyDepth (int i)
## Private Member Functions
| QxConnect ()
virtual | ~QxConnect ()
## Private Attributes
std::unique_ptr< QxConnectImpl > | m_pImpl
| Private implementation idiom.
## Friends
class | qx::QxSingleton< QxConnect >

## Detailed Description

qx::service::QxConnect : define connection parameters used by QxService module of QxOrm library (this class is a singleton)

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 68 of file QxConnect.h.

## Member Enumeration Documentation

enum qx::service::QxConnect::serialization_type

Enumerator:

  serialization_binary |
  serialization_xml |
  serialization_text |
  serialization_portable_binary |
  serialization_wide_binary |
  serialization_wide_xml |
  serialization_wide_text |
  serialization_polymorphic_binary |
  serialization_polymorphic_xml |
  serialization_polymorphic_text |
  serialization_qt |
  serialization_json |

Definition at line 75 of file QxConnect.h.

## Constructor & Destructor Documentation

qx::service::QxConnect::QxConnect | ( |  | ) | `[private]`

virtual qx::service::QxConnect::~QxConnect | ( |  | ) | `[private, virtual]`

## Member Function Documentation

bool qx::service::QxConnect::getCompressData | ( |  | ) |

bool qx::service::QxConnect::getEncryptData | ( |  | ) |

quint64 qx::service::QxConnect::getEncryptKey | ( |  | ) |

QString qx::service::QxConnect::getIp | ( |  | ) |

long qx::service::QxConnect::getKeepAlive | ( |  | ) |

int qx::service::QxConnect::getMaxWait | ( |  | ) |

bool qx::service::QxConnect::getModeHTTP | ( |  | ) |

long qx::service::QxConnect::getPort | ( |  | ) |

serialization_type qx::service::QxConnect::getSerializationType | ( |  | ) |

qlonglong qx::service::QxConnect::getSessionTimeOut | ( |  | ) |

QList<QSslCertificate> qx::service::QxConnect::getSSLCACertificates | ( |  | ) |

QSslConfiguration qx::service::QxConnect::getSSLConfiguration | ( |  | ) |

bool qx::service::QxConnect::getSSLEnabled | ( |  | ) |

QList<QSslError> qx::service::QxConnect::getSSLIgnoreErrors | ( |  | ) |

QSslCertificate qx::service::QxConnect::getSSLLocalCertificate | ( |  | ) |

int qx::service::QxConnect::getSSLPeerVerifyDepth | ( |  | ) |

QSslSocket::PeerVerifyMode qx::service::QxConnect::getSSLPeerVerifyMode | ( |  | ) |

QString qx::service::QxConnect::getSSLPeerVerifyName | ( |  | ) |

QSslKey qx::service::QxConnect::getSSLPrivateKey | ( |  | ) |

QSsl::SslProtocol qx::service::QxConnect::getSSLProtocol | ( |  | ) |

long qx::service::QxConnect::getThreadCount | ( |  | ) |

void qx::service::QxConnect::setCompressData | ( | bool | b | ) |

void qx::service::QxConnect::setEncryptData | ( | bool | b,
|  | quint64 | key = `0`
| ) |  |

void qx::service::QxConnect::setIp | ( | const QString & | s | ) |

void qx::service::QxConnect::setKeepAlive | ( | long | l | ) |

void qx::service::QxConnect::setMaxWait | ( | int | i | ) |

void qx::service::QxConnect::setModeHTTP | ( | bool | b | ) |

void qx::service::QxConnect::setPort | ( | long | l | ) |

void qx::service::QxConnect::setSerializationType | ( | serialization_type | e | ) |

void qx::service::QxConnect::setSessionTimeOut | ( | qlonglong | l | ) |

void qx::service::QxConnect::setSSLCACertificates | ( | QList< QSslCertificate > | lst | ) |

void qx::service::QxConnect::setSSLConfiguration | ( | QSslConfiguration | cfg | ) |

void qx::service::QxConnect::setSSLEnabled | ( | bool | b | ) |

void qx::service::QxConnect::setSSLIgnoreErrors | ( | QList< QSslError > | lst | ) |

void qx::service::QxConnect::setSSLLocalCertificate | ( | QSslCertificate | cert | ) |

void qx::service::QxConnect::setSSLPeerVerifyDepth | ( | int | i | ) |

void qx::service::QxConnect::setSSLPeerVerifyMode | ( | QSslSocket::PeerVerifyMode | e | ) |

void qx::service::QxConnect::setSSLPeerVerifyName | ( | const QString & | s | ) |

void qx::service::QxConnect::setSSLPrivateKey | ( | QSslKey | key | ) |

void qx::service::QxConnect::setSSLProtocol | ( | QSsl::SslProtocol | e | ) |

void qx::service::QxConnect::setThreadCount | ( | long | l | ) |

## Friends And Related Function Documentation

friend class qx::QxSingleton< QxConnect >`[friend]`

Definition at line 71 of file QxConnect.h.

## Member Data Documentation

std::unique_ptr<QxConnectImpl> qx::service::QxConnect::m_pImpl`[private]`

Private implementation idiom.

Definition at line 82 of file QxConnect.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxService/QxConnect.h